Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 251796 - app-text/pdftk removal notice (and media-gfx/keyjnote )
Summary: app-text/pdftk removal notice (and media-gfx/keyjnote )
Status: RESOLVED WORKSFORME
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Printing Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 196361 209802 225709 234832 235645 236316
  Show dependency tree
 
Reported: 2008-12-20 21:13 UTC by Jeremy Olexa (darkside) (RETIRED)
Modified: 2008-12-30 13:45 UTC (History)
10 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to make pdftk-1.41 compile with gcc-4.3 (pdftk-gcc-4.3.patch,7.73 KB, patch)
2008-12-22 23:07 UTC, andrex
Details | Diff
Revised ebuild for pdftk that works with gcc 4.3 (pdftk-1.41-r1.ebuild,998 bytes, text/plain)
2008-12-22 23:09 UTC, andrex
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-12-20 21:13:32 UTC
Tracker bug for removing pdftk
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-12-20 21:15:04 UTC
# Jeremy Olexa <darkside@gentoo.org> (20 Dec 2008)
# Removed in 60 days. Many issues including a gcc-4.3 failure and dead upstream
# see tracker bug (bug 251796)
app-text/pdftk
media-gfx/keyjnote
Comment 2 Pacho Ramos gentoo-dev 2008-12-20 21:20:21 UTC
Do you know an alternative for this? I am currently using it for merging pdf files in one and I need this

Thanks!
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-12-20 21:29:31 UTC
(In reply to comment #2)
> Do you know an alternative for this? I am currently using it for merging pdf
> files in one and I need this
> 
> Thanks!
> 

https://bugs.gentoo.org/show_bug.cgi?id=225709#c14 suggests pdfjam. You are welcome to fix up pdftk. A hack would be to make it require !gcc-4.3, but working patch preferred of course! (And/or take this package to sunrise after 60 days)
Comment 4 Pacho Ramos gentoo-dev 2008-12-20 21:37:15 UTC
pdfjam seems good enough for me, thanks! (maybe should be noted in mask message)

About trying to fix it, I tried to search for other distributions shipping it, but I only found debian patches at http://patch-tracking.debian.net/package/pdftk/1.41-3 and an opensuse package at http://download.opensuse.org/factory/repo/src-oss/suse/src/pdftk-1.41-103.10.src.rpm

but I am not sure if they would fix current problems (well, reading opensuse's package changelog seems that changes are recent, then, maybe opensuse's maintainer fixed some of the problems)

Sorry, but I am unable to help on this now (I will be also out from tomorrow to 5th or 6th January)
Comment 5 Andrey Grozin gentoo-dev 2008-12-21 04:42:27 UTC
I am also using pdftk sometimes - not often, but when I need to cut pages from several presentations and put them together in a new one, it's very useful. It's a pity to remove it from Gentoo.
Comment 6 Serkan Kaba (RETIRED) gentoo-dev 2008-12-21 06:38:34 UTC
(In reply to comment #5)
> I am also using pdftk sometimes - not often, but when I need to cut pages from
> several presentations and put them together in a new one, it's very useful.
> It's a pity to remove it from Gentoo.
> 

Can you try jpdftweak from bug #251424? We may add it as a replacement.
Comment 7 Mike Slinn 2008-12-21 11:38:09 UTC
Please do not remove this package from portage.  It works fine.  I use it in production scripts for publishing.  jpdftweak is a Java Swing application and does not work in a script.  pdfjam does not have the stamping feature that I need, plus it removes hyperlinks.
Comment 8 Samuli Suominen (RETIRED) gentoo-dev 2008-12-21 14:00:09 UTC
I expect next message to be "Here is an working patch for latest gcj." or "Removed from tree.", otherwise please stay quiet.
Comment 9 cJ 2008-12-22 13:14:51 UTC
I think pdftk's author (who happens to be alive) would be interested in knowing that his software has troubles with the latest gcj, and may gladly fix it.

If contact hasn't been made, please tell it here, so maybe someone else can do it.

I'm not using keyjnote so I care less about it, but I imagine it would be the same.
Comment 10 andrex 2008-12-22 23:07:13 UTC
Created attachment 176181 [details, diff]
Patch to make pdftk-1.41 compile with gcc-4.3

Thanks to Debian pdftk package maintainers.
Comment 11 andrex 2008-12-22 23:09:16 UTC
Created attachment 176183 [details]
Revised ebuild for pdftk that works with gcc 4.3

Tested on x86 and amd64.
Comment 12 Wormo (RETIRED) gentoo-dev 2008-12-26 18:13:25 UTC
keyjnote has been renamed to "impressive", which was just featured in this week's lwn, and the upstream is certainly still active. Please don't get rid of keyjnote ; instead it should be transitioned to the new name. The pdftk dependency is actually optional (but recommended) http://impressive.sourceforge.net/manual.php#req
Comment 13 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2008-12-26 22:13:14 UTC
(In reply to comment #10)
> Created an attachment (id=176181) [edit]
> Patch to make pdftk-1.41 compile with gcc-4.3
> 
> Thanks to Debian pdftk package maintainers. 

Thanks, fixed all bugs in pdftk-1.41-r1 and removed from package.mask.
Also removed keyjnote because it seemed to me that the pdftk dep is the only thing directly threatening it. Not a maintainer though.
Comment 14 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2008-12-26 22:16:44 UTC
(In reply to comment #12)
> keyjnote has been renamed to "impressive", which was just featured in this
> week's lwn, and the upstream is certainly still active. Please don't get rid of
> keyjnote ; instead it should be transitioned to the new name. The pdftk
> dependency is actually optional (but recommended)
> http://impressive.sourceforge.net/manual.php#req

see bug 236316
Comment 15 cJ 2008-12-30 13:45:22 UTC
(In reply to comment #13)
> Thanks, fixed all bugs in pdftk-1.41-r1 and removed from package.mask.

Caster, you could have at least adapted andrex's ebuild... now pdftk-1.41-r1 depends on >=gcc-4.3, whereas 1.41 depends on >=3.3, I don't see the point in imposing this.

And if the patch breaks compilation with grandpa's gcc, I'm pretty sure some eclass provides you the way to apply the 4.3 patch only if gcj's version is >=4.3.